- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CAutoAnimation Class Reference

`#include <vstcontrols.h>`

Inheritance diagram for CAutoAnimation:

List of all members.

## Public Member Functions
| CAutoAnimation (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CAutoAnimation (const CRect &size, CControlListener *listener, long tag, long subPixmaps, CCoord heightOfOneImage, CBitmap *background, CPoint &offset)
virtual | ~CAutoAnimation ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
virtual void | openWindow (void)
virtual void | closeWindow (void)
virtual void | nextPixmap (void)
virtual void | previousPixmap (void)
bool | isWindowOpened () const
## Protected Attributes
CPoint | offset
long | subPixmaps
CCoord | heightOfOneImage
CCoord | totalHeightOfBitmap
bool | bWindowOpened

## Detailed Description

An auto-animation control contains a given number of subpixmap which can be displayed in loop. Two functions allows to get the previous or the next subpixmap (these functions increase or decrease the current value of this control).

## Constructor & Destructor Documentation

CAutoAnimation::CAutoAnimation | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CAutoAnimation::CAutoAnimation | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | subPixmaps,
|  | CCoord | heightOfOneImage,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CAutoAnimation::~CAutoAnimation | ( |  | ) | `[virtual]`

## Member Function Documentation

void CAutoAnimation::closeWindow | ( | void |  | ) | `[virtual]`

void CAutoAnimation::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

bool CAutoAnimation::isWindowOpened | ( |  | ) | const`[inline]`

void CAutoAnimation::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

void CAutoAnimation::nextPixmap | ( | void |  | ) | `[virtual]`

void CAutoAnimation::openWindow | ( | void |  | ) | `[virtual]`

void CAutoAnimation::previousPixmap | ( | void |  | ) | `[virtual]`

## Member Data Documentation

bool CAutoAnimation::bWindowOpened`[protected]`

CCoord CAutoAnimation::heightOfOneImage`[protected]`

CPoint CAutoAnimation::offset`[protected]`

long CAutoAnimation::subPixmaps`[protected]`

CCoord CAutoAnimation::totalHeightOfBitmap`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.